org.red5.server.net.rtmp

## Class InboundHandshake

- java.lang.Object
- - org.red5.server.net.rtmp.RTMPHandshake
  - - org.red5.server.net.rtmp.InboundHandshake

All Implemented Interfaces:
  IHandshake

    public class InboundHandshake
    extends RTMPHandshake

Performs handshaking for server connections.

Author:
  Paul Gregoire

### Field Summary

### Fields inherited from class org.red5.server.net.rtmp.RTMPHandshake

`cipherIn, cipherOut, DH_BASE, DH_MODULUS, DH_MODULUS_BYTES, DIGEST_LENGTH, GENUINE_FMS_KEY, GENUINE_FP_KEY, HANDSHAKE_PAD_BYTES, HANDSHAKE_SIZE_SERVER, handshakeBytes, handshakeType, incomingPublicKey, KEY_LENGTH, keyAgreement, log, outgoingPublicKey, random, swfVerificationBytes, validationScheme`

### Constructor Summary

Constructors
Constructor and Description
`InboundHandshake()`

### Method Summary

Methods
`protected void` `createHandshakeBytes()` Creates the servers handshake bytes
`IoBuffer` `doHandshake(IoBuffer input)` Generates response for versioned connections.
`boolean` `validate(IoBuffer input)` Determines the validation scheme for given input.

### Methods inherited from class org.red5.server.net.rtmp.RTMPHandshake

`calculateHMAC_SHA256, calculateHMAC_SHA256, generateKeyPair, getCipherIn, getCipherOut, getDHOffset, getDHOffset0, getDHOffset1, getDigestOffset, getDigestOffset0, getDigestOffset1, getHandshakeBytes, getHandshakeType, getPublicKey, getSharedSecret, getSwfVerificationBytes, setHandshakeType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InboundHandshake

    public InboundHandshake()

### Method Detail

#### doHandshake

    public IoBuffer doHandshake(IoBuffer input)

Generates response for versioned connections.

Parameters:
  `input` - incoming RTMP bytes
Returns:
  outgoing handshake

#### createHandshakeBytes

    protected void createHandshakeBytes()

Creates the servers handshake bytes

Specified by:
  `createHandshakeBytes` in class `RTMPHandshake`

#### validate

    public boolean validate(IoBuffer input)

Determines the validation scheme for given input.

Specified by:
  `validate` in interface `IHandshake`
Specified by:
  `validate` in class `RTMPHandshake`
Parameters:
  `input` -
Returns:
  true if client used a supported validation scheme, false if unsupported